loci.formats.in

## Class LIPixelFormat

- java.lang.Object
- - loci.formats.in.LIPixelFormat

-     public class LIPixelFormat
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PIXELFORMAT_BAYERBG12`
    `static java.lang.String` | `PIXELFORMAT_BAYERBG12P`
    `static java.lang.String` | `PIXELFORMAT_BAYERBG12PMSB`
    `static java.lang.String` | `PIXELFORMAT_BAYERBG16`
    `static java.lang.String` | `PIXELFORMAT_BAYERBG8`
    `static java.lang.String` | `PIXELFORMAT_BAYERGB12`
    `static java.lang.String` | `PIXELFORMAT_BAYERGB12P`
    `static java.lang.String` | `PIXELFORMAT_BAYERGB12PMSB`
    `static java.lang.String` | `PIXELFORMAT_BAYERGB16`
    `static java.lang.String` | `PIXELFORMAT_BAYERGB8`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR10`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR12`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR12P`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR12PMSB`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR16`
    `static java.lang.String` | `PIXELFORMAT_BAYERGR8`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG10`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG12`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG12P`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG12PACKED`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG12PMSB`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG16`
    `static java.lang.String` | `PIXELFORMAT_BAYERRG8`
    `static java.lang.String` | `PIXELFORMAT_BGR8`
    `static java.lang.String` | `PIXELFORMAT_BGR8PACKED`
    `static java.lang.String` | `PIXELFORMAT_MONO10`
    `static java.lang.String` | `PIXELFORMAT_MONO10P`
    `static java.lang.String` | `PIXELFORMAT_MONO10PMSB`
    `static java.lang.String` | `PIXELFORMAT_MONO12`
    `static java.lang.String` | `PIXELFORMAT_MONO12P`
    `static java.lang.String` | `PIXELFORMAT_MONO12PACKED`
    `static java.lang.String` | `PIXELFORMAT_MONO12PMSB`
    `static java.lang.String` | `PIXELFORMAT_MONO14`
    `static java.lang.String` | `PIXELFORMAT_MONO14P`
    `static java.lang.String` | `PIXELFORMAT_MONO16`
    `static java.lang.String` | `PIXELFORMAT_MONO8`
    `static java.lang.String` | `PIXELFORMAT_RGB8`
    `static java.lang.String` | `PIXELFORMAT_RGB8PACKED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LIPixelFormat()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getPacking(java.lang.String format)`
    `static java.lang.Boolean` | `pixelFormatEqualsBitSize(java.lang.Integer bitSize, java.lang.String format)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PIXELFORMAT_MONO8

          public static final java.lang.String PIXELFORMAT_MONO8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO10

          public static final java.lang.String PIXELFORMAT_MONO10

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO10P

          public static final java.lang.String PIXELFORMAT_MONO10P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO10PMSB

          public static final java.lang.String PIXELFORMAT_MONO10PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO12

          public static final java.lang.String PIXELFORMAT_MONO12

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO12P

          public static final java.lang.String PIXELFORMAT_MONO12P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO12PMSB

          public static final java.lang.String PIXELFORMAT_MONO12PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO12PACKED

          public static final java.lang.String PIXELFORMAT_MONO12PACKED

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO14

          public static final java.lang.String PIXELFORMAT_MONO14

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO14P

          public static final java.lang.String PIXELFORMAT_MONO14P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_MONO16

          public static final java.lang.String PIXELFORMAT_MONO16

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BGR8

          public static final java.lang.String PIXELFORMAT_BGR8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BGR8PACKED

          public static final java.lang.String PIXELFORMAT_BGR8PACKED

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_RGB8

          public static final java.lang.String PIXELFORMAT_RGB8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_RGB8PACKED

          public static final java.lang.String PIXELFORMAT_RGB8PACKED

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERBG8

          public static final java.lang.String PIXELFORMAT_BAYERBG8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERBG12

          public static final java.lang.String PIXELFORMAT_BAYERBG12

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERBG12P

          public static final java.lang.String PIXELFORMAT_BAYERBG12P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERBG12PMSB

          public static final java.lang.String PIXELFORMAT_BAYERBG12PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERBG16

          public static final java.lang.String PIXELFORMAT_BAYERBG16

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGB8

          public static final java.lang.String PIXELFORMAT_BAYERGB8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGB12

          public static final java.lang.String PIXELFORMAT_BAYERGB12

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGB12P

          public static final java.lang.String PIXELFORMAT_BAYERGB12P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGB12PMSB

          public static final java.lang.String PIXELFORMAT_BAYERGB12PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGB16

          public static final java.lang.String PIXELFORMAT_BAYERGB16

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR8

          public static final java.lang.String PIXELFORMAT_BAYERGR8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR10

          public static final java.lang.String PIXELFORMAT_BAYERGR10

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR12

          public static final java.lang.String PIXELFORMAT_BAYERGR12

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR12P

          public static final java.lang.String PIXELFORMAT_BAYERGR12P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR12PMSB

          public static final java.lang.String PIXELFORMAT_BAYERGR12PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERGR16

          public static final java.lang.String PIXELFORMAT_BAYERGR16

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG8

          public static final java.lang.String PIXELFORMAT_BAYERRG8

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG10

          public static final java.lang.String PIXELFORMAT_BAYERRG10

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG12

          public static final java.lang.String PIXELFORMAT_BAYERRG12

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG12P

          public static final java.lang.String PIXELFORMAT_BAYERRG12P

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG12PMSB

          public static final java.lang.String PIXELFORMAT_BAYERRG12PMSB

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG12PACKED

          public static final java.lang.String PIXELFORMAT_BAYERRG12PACKED

      See Also:
        Constant Field Values

    - #### PIXELFORMAT_BAYERRG16

          public static final java.lang.String PIXELFORMAT_BAYERRG16

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LIPixelFormat

          public LIPixelFormat()

  - ### Method Detail

    - #### getPacking

          public static java.lang.String getPacking(java.lang.String format)

    - #### pixelFormatEqualsBitSize

          public static java.lang.Boolean pixelFormatEqualsBitSize(java.lang.Integer bitSize,
                                                                   java.lang.String format)

Copyright © 2026 Open Microscopy Environment